Page MenuHomePhabricator

upgrade people.wikimedia.org backend to buster
Closed, ResolvedPublic

Description

people1001, the backend for https://people.wikimedia.org is currently running on stretch and should be upgraded to buster

time frame: by the end of Q2 2020

Event Timeline

Dzahn created this task.Mar 13 2020, 11:55 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 13 2020, 11:55 PM
Dzahn claimed this task.Mar 13 2020, 11:55 PM

Change 587982 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/dns@master] add people1002.eqiad.wmnet

https://gerrit.wikimedia.org/r/587982

Change 587982 merged by Dzahn:
[operations/dns@master] add people1002.eqiad.wmnet

https://gerrit.wikimedia.org/r/587982

Change 588647 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/dns@master] add people2001.codfw.wmnet

https://gerrit.wikimedia.org/r/588647

Change 588647 merged by Dzahn:
[operations/dns@master] add people2001.codfw.wmnet

https://gerrit.wikimedia.org/r/588647

Dzahn triaged this task as Medium priority.Apr 20 2020, 3:41 PM
Dzahn moved this task from Incoming 🐫 to Doing 😎 on the serviceops board.

Change 595927 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] site: add people1002

https://gerrit.wikimedia.org/r/595927

Change 595927 merged by Dzahn:
[operations/puppet@production] site: add people1002

https://gerrit.wikimedia.org/r/595927

Change 595951 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] DHCP: add people1002.eqiad.wmnet

https://gerrit.wikimedia.org/r/595951

Change 595951 merged by Dzahn:
[operations/puppet@production] DHCP: add people1002.eqiad.wmnet

https://gerrit.wikimedia.org/r/595951

Change 595956 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] site: add peopleweb role to people1002

https://gerrit.wikimedia.org/r/595956

Change 595957 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/dns@master] add IPv6 records for people1002

https://gerrit.wikimedia.org/r/595957

Change 595959 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/dns@master] switch peopleweb service/discovery names to people1002

https://gerrit.wikimedia.org/r/595959

Change 595957 merged by Dzahn:
[operations/dns@master] add IPv6 records for people1002

https://gerrit.wikimedia.org/r/595957

Change 595956 merged by Dzahn:
[operations/puppet@production] site: add peopleweb role to people1002

https://gerrit.wikimedia.org/r/595956

Change 596151 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] peopleweb: allow rsyncing /home to a new server

https://gerrit.wikimedia.org/r/596151

Change 596151 merged by Dzahn:
[operations/puppet@production] peopleweb: allow rsyncing /home to a new server

https://gerrit.wikimedia.org/r/596151

Change 595959 merged by Dzahn:
[operations/dns@master] switch peopleweb service/discovery names to people1002

https://gerrit.wikimedia.org/r/595959

Change 597751 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] site: remove peopleweb role from people1001

https://gerrit.wikimedia.org/r/597751

Mentioned in SAL (#wikimedia-operations) [2020-05-21T10:07:38Z] <mutante> replaced backend of people.wikimedia.org - people1001 will be inaccessible, replaced with people1002 on buster. all home dirs have been synced over, there should be no difference except you have to use people1002 now for uploads (T247649)

Change 597751 merged by Dzahn:
[operations/puppet@production] site: remove peopleweb role from people1001

https://gerrit.wikimedia.org/r/597751

Dzahn closed this task as Resolved.May 21 2020, 10:42 AM

This has happened and an announcement has been sent to ops and wikitech-l lists.

Change 597757 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] ATS: fix never_cache rule to apply to peopleweb discovery name

https://gerrit.wikimedia.org/r/597757

Change 597757 merged by Dzahn:
[operations/puppet@production] ATS: fix never_cache rule to apply to peopleweb discovery name

https://gerrit.wikimedia.org/r/597757

Change 597758 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] peopleweb: set rsync_src and rsync_dst host to the same server

https://gerrit.wikimedia.org/r/597758

Change 597758 merged by Dzahn:
[operations/puppet@production] peopleweb: set rsync_src and rsync_dst host to the same server

https://gerrit.wikimedia.org/r/597758

Volans reopened this task as Open.May 22 2020, 9:49 AM
Volans added a subscriber: Volans.

I think there are still some bits in the DNS repo that point to the old instance:

templates/wmnet:people          5M  IN CNAME    people1001.eqiad.wmnet.
templates/wmnet:peopleweb             300 IN CNAME people1001.eqiad.wmnet.
Volans closed this task as Resolved.May 22 2020, 10:09 AM

@Dzahn my bad, I had a silent error during the update of my local git copy that lead to this mis-finding.

FWIW it's also possible to ssh directly into the "right" instance using ssh people.eqiad.wmnet if the script provided in [1] is used that ensures that the right fingerprint is checked against.

[1] https://wikitech.wikimedia.org/wiki/Production_access#Known_host_files